Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-39467

Project Inheritance Plugin is not compatible with Rebuild Plugin 1.23+

    Details

    • Similar Issues:

      Description

      The issue causes failures in all rebuild validation logic calls.

      2016-11-02 08:30:16.942+0000 [id=3232814]   WARNING h.model.listeners.RunListener#report: RunListener failed
      java.lang.AbstractMethodError: com.sonyericsson.rebuild.RebuildValidator.isApplicable(Lhudson/model/AbstractBuild;)Z
          at com.sonyericsson.rebuild.Rebuilder.onCompleted(Rebuilder.java:56)
          at hudson.model.listeners.RunListener.fireCompleted(RunListener.java:201)
          at hudson.model.Run.execute(Run.java:1783)
          at hudson.model.FreeStyleBuild.run(FreeStyleBuild.java:43)
          at hudson.model.ResourceController.execute(ResourceController.java:98)
          at hudson.model.Executor.run(Executor.java:410)
      

      CC @rsandell

        Attachments

          Issue Links

            Activity

            Hide
            youngmit Mitchell Young added a comment -

            Looking at the current state of these two plugins, they appear to be compatible now (disclaimer: I'm not super familiar with Java). They both lack the `abstract` keyword, at least. However, I am still getting a similar exception regarding the `isApplicable()` method. Could this be related to: https://issues.jenkins-ci.org/browse/JENKINS-50244?

            Show
            youngmit Mitchell Young added a comment - Looking at the current state of these two plugins, they appear to be compatible now (disclaimer: I'm not super familiar with Java). They both lack the `abstract` keyword, at least. However, I am still getting a similar exception regarding the `isApplicable()` method. Could this be related to: https://issues.jenkins-ci.org/browse/JENKINS-50244?
            Hide
            youngmit Mitchell Young added a comment - - edited

            Apologies; I missed the two `isApplicable()` methods that are defined by the Rebuild plugin. It does appear that the project inheritance plugin is incompatible

            Show
            youngmit Mitchell Young added a comment - - edited Apologies; I missed the two `isApplicable()` methods that are defined by the Rebuild plugin. It does appear that the project inheritance plugin is incompatible
            Hide
            it12lsp Christian Häussler added a comment -

            We have the same error:

            java.lang.AbstractMethodError: you must override the new overload of isApplicable in hudson.plugins.project_inheritance.projects.rebuild.RebuildValidatorSuppressor
            at com.sonyericsson.rebuild.RebuildValidator.isApplicable(RebuildValidator.java:50)

            Show
            it12lsp Christian Häussler added a comment - We have the same error: java.lang.AbstractMethodError: you must override the new overload of isApplicable in hudson.plugins.project_inheritance.projects.rebuild.RebuildValidatorSuppressor at com.sonyericsson.rebuild.RebuildValidator.isApplicable(RebuildValidator.java:50)
            Hide
            flashback_ua Vladimir S. added a comment -

            Is there any workaround before it can be fixed?

            Show
            flashback_ua Vladimir S. added a comment - Is there any workaround before it can be fixed?
            Hide
            srinikitha09 srinikitha kondreddy added a comment - - edited

            I am also getting the following warning, when running with declarative pipeline:

            WARNING h.model.listeners.RunListener#report: RunListener failed
            java.lang.AbstractMethodError: you must override the new overload of isApplicable in hudson.plugins.project_inheritance.projects.rebuild.RebuildValidatorSuppressor
             at com.sonyericsson.rebuild.RebuildValidator.isApplicable(RebuildValidator.java:50)
             at com.sonyericsson.rebuild.Rebuilder.onCompleted(Rebuilder.java:53)
             at hudson.model.listeners.RunListener.fireCompleted(RunListener.java:209)
             at org.jenkinsci.plugins.workflow.job.WorkflowRun.finish(WorkflowRun.java:587)
             at org.jenkinsci.plugins.workflow.job.WorkflowRun.access$800(WorkflowRun.java:133)
             at org.jenkinsci.plugins.workflow.job.WorkflowRun$GraphL.onNewHead(WorkflowRun.java:999)
             at org.jenkinsci.plugins.workflow.cps.CpsFlowExecution.notifyListeners(CpsFlowExecution.java:1463)
             at org.jenkinsci.plugins.workflow.cps.CpsThreadGroup$3.run(CpsThreadGroup.java:458)
             at org.jenkinsci.plugins.workflow.cps.CpsVmExecutorService$1.run(CpsVmExecutorService.java:37)
             at hudson.remoting.SingleLaneExecutorService$1.run(SingleLaneExecutorService.java:131)
             at jenkins.util.ContextResettingExecutorService$1.run(ContextResettingExecutorService.java:28)
             at jenkins.security.ImpersonatingExecutorService$1.run(ImpersonatingExecutorService.java:59)
             at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
             at java.util.concurrent.FutureTask.run(FutureTask.java:266)
             at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
             at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
             at java.lang.Thread.run(Thread.java:748)
            

            Is there any workaround to get rid of this warning all the time?
             

            Show
            srinikitha09 srinikitha kondreddy added a comment - - edited I am also getting the following warning, when running with declarative pipeline: WARNING h.model.listeners.RunListener#report: RunListener failed java.lang.AbstractMethodError: you must override the new overload of isApplicable in hudson.plugins.project_inheritance.projects.rebuild.RebuildValidatorSuppressor at com.sonyericsson.rebuild.RebuildValidator.isApplicable(RebuildValidator.java:50) at com.sonyericsson.rebuild.Rebuilder.onCompleted(Rebuilder.java:53) at hudson.model.listeners.RunListener.fireCompleted(RunListener.java:209) at org.jenkinsci.plugins.workflow.job.WorkflowRun.finish(WorkflowRun.java:587) at org.jenkinsci.plugins.workflow.job.WorkflowRun.access$800(WorkflowRun.java:133) at org.jenkinsci.plugins.workflow.job.WorkflowRun$GraphL.onNewHead(WorkflowRun.java:999) at org.jenkinsci.plugins.workflow.cps.CpsFlowExecution.notifyListeners(CpsFlowExecution.java:1463) at org.jenkinsci.plugins.workflow.cps.CpsThreadGroup$3.run(CpsThreadGroup.java:458) at org.jenkinsci.plugins.workflow.cps.CpsVmExecutorService$1.run(CpsVmExecutorService.java:37) at hudson.remoting.SingleLaneExecutorService$1.run(SingleLaneExecutorService.java:131) at jenkins.util.ContextResettingExecutorService$1.run(ContextResettingExecutorService.java:28) at jenkins.security.ImpersonatingExecutorService$1.run(ImpersonatingExecutorService.java:59) at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511) at java.util.concurrent.FutureTask.run(FutureTask.java:266) at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149) at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624) at java.lang. Thread .run( Thread .java:748) Is there any workaround to get rid of this warning all the time?  

              People

              • Assignee:
                Unassigned
                Reporter:
                oleg_nenashev Oleg Nenashev
              • Votes:
                4 Vote for this issue
                Watchers:
                8 Start watching this issue

                Dates

                • Created:
                  Updated: